Subject: Re: bug#74775: [PATCH] Update browse-url-kde variables

From: Björn Bidar <[email-masked]>
Date: Sat, 14 Dec 2024 00:54:20 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Björn Bidar <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 12 Dec 2024 18:44:44 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> > Installing on master doesn't need to delve into these issues, since if
>> >> > we are wrong, we have enough time for users to holler and for us to
>> >> > fix.  Emacs 30, OTOH, is very close to the release, so we must be very
>> >> > certain this change cannot cause any trouble.
>> >> 
>> >> I don't think there's a chance for that.
>> >
>> > Famous last words...
>> 
>> KDE3 isn't used anymore even if so any release after has significantly
>> by more users.
>> Why support KDE3? 
>
> Because it is completely legitimate for people running old systems
> with KDE3 to want to install a new Emacs.

It is a strange thought to not apply a fix for less old or current
system just because potentially some person might install the next
Emacs release on a almost 20 year old system. 

>> >> If you decide to install the change on Emacs 30. Do you want me to send
>> >> the patch again with the changes mentioned by you i.e. defcustom version
>> >> and type?
>> >
>> > I still think we should install this on master.  AFAIK, we had exactly
>> > zero complaints about these defaults, perhaps for the simple reason
>> > that it is easy to customize a user option if its default is wrong for
>> > a user.
>> 
>> Most users would probably set the `browse-url-browser-function' or the
>> default detected happens to be the right default function.
>
> Sorry, I couldn't understand what you want to say here.

I'm saying that this issue doesn't come up to most users because they
change these options before trying to use the defaults in this instance.